# Generated by Django 4.2.14 on 2025-01-28 11:41

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('base', '0009_remove_endpointreference_endpoint_and_more'),
        ('organizations', '0002_remove_organization_endpoint'),
    ]

    operations = [
        migrations.CreateModel(
            name='Endpoint',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('status', models.CharField(choices=[('active', 'active'), ('limited', 'limited'), ('suspended', 'suspended'), ('error', 'error'), ('off', 'off'), ('entered-in-error', 'entered-in-error')], max_length=255, null=True)),
                ('name', models.CharField(max_length=255, null=True)),
                ('environmental_type', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(choices=[('development', 'development'), ('test', 'test'), ('production', 'production'), ('staging', 'staging'), ('training', 'training')], max_length=255), null=True, size=None)),
                ('address', models.CharField(max_length=255, null=True)),
                ('header', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=255), null=True, size=None)),
                ('public_key', models.TextField(null=True)),
                ('availability', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='endpoint_availability', to='base.availability')),
                ('connection_type', models.ManyToManyField(blank=True, related_name='endpoint_connection_type', to='base.connectiontype')),
                ('contact', models.ManyToManyField(blank=True, related_name='endpoint_contact', to='base.contactpoint')),
                ('identifier', models.ManyToManyField(blank=True, related_name='endpoint_identifier', to='base.identifier')),
                ('managing_organization', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='endpoint_managing_organization', to='organizations.organization')),
                ('payload', models.ManyToManyField(blank=True, related_name='endpoint_payload', to='base.payload')),
                ('period', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='endpoint_period', to='base.period')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='EndpointReference',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('reference', models.CharField(max_length=255, null=True)),
                ('type', models.CharField(max_length=255, null=True)),
                ('display', models.CharField(max_length=255, null=True)),
                ('endpoint', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='endpoint_reference', to='endpoints.endpoint')),
                ('identifier', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='endpoint_reference_identifier', to='base.identifier')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
