# Generated by Django 4.2.14 on 2025-01-06 22:48

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('practitioners', '0001_initial'),
        ('patients', '0001_initial'),
        ('servicerequests', '0001_initial'),
        ('encounters', '0002_initial'),
        ('organizations', '0001_initial'),
        ('medicationrequests', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='requester',
            name='practitioner',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='requester_practitioner', to='practitioners.practitioner'),
        ),
        migrations.AddField(
            model_name='medicationrequestsupportinginformation',
            name='medication_request',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='medication_request_supporting_info', to='medicationrequests.medicationrequest'),
        ),
        migrations.AddField(
            model_name='medicationrequestsupportinginformation',
            name='reference_type',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='medicationrequests.medicationrequestreferencetype'),
        ),
        migrations.AddField(
            model_name='medicationrequestdoseandrate',
            name='dosage',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='dosage_dose_and_rate', to='medicationrequests.medicationrequestdosage'),
        ),
        migrations.AddField(
            model_name='medicationrequestdosage',
            name='additional_illustrations',
            field=models.ManyToManyField(blank=True, to='medicationrequests.additionalillustration'),
        ),
        migrations.AddField(
            model_name='medicationrequestdosage',
            name='as_needed_for',
            field=models.ManyToManyField(blank=True, to='medicationrequests.referenceasneededfor'),
        ),
        migrations.AddField(
            model_name='medicationrequestdosage',
            name='medication_request',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='medication_request_dosage', to='medicationrequests.medicationrequest'),
        ),
        migrations.AddField(
            model_name='medicationrequestdosage',
            name='method',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='medicationrequests.dosagemethod'),
        ),
        migrations.AddField(
            model_name='medicationrequestdosage',
            name='route',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='medicationrequests.dosageroute'),
        ),
        migrations.AddField(
            model_name='medicationrequestdosage',
            name='site',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='dosage_site', to='medicationrequests.dosagesite'),
        ),
        migrations.AddField(
            model_name='medicationrequestbasedon',
            name='medication_request',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='medication_request_based_on', to='medicationrequests.medicationrequest'),
        ),
        migrations.AddField(
            model_name='medicationrequestbasedon',
            name='service_request',
            field=models.ManyToManyField(blank=True, to='servicerequests.servicerequest'),
        ),
        migrations.AddField(
            model_name='medicationrequest',
            name='category',
            field=models.ManyToManyField(blank=True, to='medicationrequests.medicationrequestcategory'),
        ),
        migrations.AddField(
            model_name='medicationrequest',
            name='dispenser',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='medication_request_dispenser', to='organizations.organization'),
        ),
        migrations.AddField(
            model_name='medicationrequest',
            name='encounter',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='medication_request_encounter', to='encounters.encounter'),
        ),
        migrations.AddField(
            model_name='medicationrequest',
            name='medication',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='medication_request_medication', to='medicationrequests.medicationrequestmedicationcode'),
        ),
        migrations.AddField(
            model_name='medicationrequest',
            name='patient',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='medication_request_patient', to='patients.patient'),
        ),
        migrations.AddField(
            model_name='medicationrequest',
            name='performer',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='medication_request_performer', to='practitioners.practitioner'),
        ),
        migrations.AddField(
            model_name='medicationrequest',
            name='prior_prescription',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='medicationrequests.medicationrequest'),
        ),
        migrations.AddField(
            model_name='medicationrequest',
            name='recorder',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='medication_request_recorder', to='practitioners.practitioner'),
        ),
        migrations.AddField(
            model_name='informationsource',
            name='medication_request',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='information_source_medication_request', to='medicationrequests.medicationrequest'),
        ),
        migrations.AddField(
            model_name='informationsource',
            name='organization',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='information_source_organization', to='organizations.organization'),
        ),
        migrations.AddField(
            model_name='informationsource',
            name='patient',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='information_source_patient', to='patients.patient'),
        ),
        migrations.AddField(
            model_name='informationsource',
            name='practitioner',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='information_source_practitioner', to='practitioners.practitioner'),
        ),
    ]
